## gnome-sushi 42.0

=== meson_options.txt ===
option('wayland',
	type: 'feature',
	value: 'auto',
	description: 'Build with Wayland support.')
option('X11',
	type: 'feature',
	value: 'auto',
	description: 'Build with legacy X11 support.')

## gnome-sushi 0.2.0

=== debian/changelog ===
gnome-sushi (0.2.0-0ubuntu2) oneiric; urgency=low

  * Renamed libsushi0 to libsushi-1.0-0 to match soname
  * Fixed lintian errors for wrong package sections

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Oct 2011 04:36:31 -0400

gnome-sushi (0.2.0-0ubuntu1) oneiric; urgency=low

  * Initial release (LP: #865058)

 -- Brandon Snider <brandonjsnider@gmail.com>  Thu, 06 Oct 2011 01:19:10 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-sushi
Section: gnome
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8.0.0),
               autotools-dev,
               cdbs (>= 0.4.90~),
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 0.9.6),
               intltool,
               libclutter-1.0-dev (>= 1.6.0),
               libclutter-gst-dev,
               libclutter-gtk-1.0-dev (>= 1.0.1),
               libdiscid0-dev,
               libevince-dev,
               libgjs-dev (>= 0.7.7),
               libglib2.0-dev (>= 2.29.14),
               libgstreamer0.10-dev,
               libgtk-3-dev (>= 3.0.0),
               libgtksourceview-3.0-dev,
               libmusicbrainz3-dev,
               libneon27-gnutls-dev,
               libwebkitgtk-3.0-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/experimental/gnome-sushi
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/gnome-sushi/
Homepage: http://git.gnome.org/browse/sushi

Package: gnome-sushi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         gnome-sushi-common,
         libsushi-1.0-0,
         gir1.2-sushi-1.0,
         nautilus (>= 3.2),
         gir1.2-clutter-gst-1.0,
         gir1.2-gtkclutter-1.0
Description: sushi is a quick previewer for nautilus
 Sushi is a GtkClutter and Javascript-based quick previewer
 for Nautilus, the GNOME desktop file manager.
 Sushi is a DBus-activated service. It is capable of previewing
 documents, PDFs, sound and video files (using Gstreamer),
 some text files, and possibly others in the future.
 .
 To activate the preview, left-click the file and hit space.
 The preview can be closed by hitting space again, or escape.
 .
 This package contains the main executable.

Package: gnome-sushi-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: common files for sushi.
 Sushi is a GtkClutter and Javascript-based quick previewer
 for Nautilus, the GNOME desktop file manager.
 Sushi is a DBus-activated service. It is capable of previewing
 documents, PDFs, sound and video files (using Gstreamer),
 some text files, and possibly others in the future.
 .
 This package contains arch-independent files located in /usr/share.

Package: libsushi-1.0-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared libs provided by sushi
 Sushi is a GtkClutter and Javascript-based quick previewer
 for Nautilus, the GNOME desktop file manager.
 Sushi is a DBus-activated service. It is capable of previewing
 documents, PDFs, sound and video files (using Gstreamer),
 some text files, and possibly others in the future.
 .
 This package contains Sushi's shared libs.

Package: gir1.2-sushi-1.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
Description: sushi's typelib files
 Sushi is a GtkClutter and Javascript-based quick previewer
 for Nautilus, the GNOME desktop file manager.
 Sushi is a DBus-activated service. It is capable of previewing
 documents, PDFs, sound and video files (using Gstreamer),
 some text files, and possibly others in the future.
 .
 This package contains Sushi's Typelib file.

Package: libsushi-1.0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
         libsushi-1.0-0 (= ${binary:Version}),
         gir1.2-sushi-1.0 (= ${binary:Version})
Description: development files for sushi
 Sushi is a GtkClutter and Javascript-based quick previewer
 for Nautilus, the GNOME desktop file manager.
 Sushi is a DBus-activated service. It is capable of previewing
 documents, PDFs, sound and video files (using Gstreamer),
 some text files, and possibly others in the future.
 .
 This package contains Sushi's development files.

Package: libsushi-1.0-0-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
         libsushi-1.0-0 (= ${binary:Version})
Description: debugging symbols for libsushi0
 Sushi is a GtkClutter and Javascript-based quick previewer
 for Nautilus, the GNOME desktop file manager.
 Sushi is a DBus-activated service. It is capable of previewing
 documents, PDFs, sound and video files (using Gstreamer),
 some text files, and possibly others in the future.
 .
 This package contains Sushi's debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# List any files which are not installed
common-binary-post-install-arch:: list-missing

DEB_DH_MAKESHLIBS_ARGS_libsushi-1.0-0 += -V -- -c4

DEB_DH_STRIP_ARGS := --dbg-package=libsushi-1.0-0-dbg

=== debian/watch ===
version=3
ftp://ftp.gnome.org/pub/GNOME/sources/sushi/([\d\.]+[02468])/sushi-(.*)\.tar\.bz2

## gnome-sushi 0.2.1

=== debian/changelog ===
gnome-sushi (0.2.1-3) unstable; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-sushi-1.0 to introspection.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * Tighten dependencies.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Mar 2012 08:05:19 +0100

gnome-sushi (0.2.1-2) unstable; urgency=low

  [ Michael Biebl ]
  * Upload to unstable.

  [ Sjoerd Simons ]
  * debian/control.in: Update the Vcs-* tags to unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 22:55:35 +0000

gnome-sushi (0.2.1-1) experimental; urgency=low

  [ Brandon Snider ]
  * Initial release

  [ Sjoerd Simons ]
  * New upstream release
  * Set GNOME_MODULE to refer to sushi
  * debian/watch: Watch xz tarballs

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 06 Nov 2011 11:02:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: gnome-sushi
 Section: gnome
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                autotools-dev,
                cdbs (>= 0.4.90~),
@@ -23,21 +22,22 @@
                libgjs-dev (>= 0.7.7),
                libglib2.0-dev (>= 2.29.14),
                libgstreamer0.10-dev,
-               libgtk-3-dev (>= 3.0.0),
+               libgtk-3-dev (>= 3.2.0),
                libgtksourceview-3.0-dev,
                libmusicbrainz3-dev,
                libneon27-gnutls-dev,
                libwebkitgtk-3.0-dev
 Standards-Version: 3.9.2
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/experimental/gnome-sushi
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/gnome-sushi/
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-sushi
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
 Homepage: http://git.gnome.org/browse/sushi
 
 Package: gnome-sushi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         gnome-sushi-common,
-         libsushi-1.0-0,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         gnome-sushi-common (= ${source:Version}),
+         libsushi-1.0-0 (= ${binary:Version}),
          gir1.2-sushi-1.0,
          nautilus (>= 3.2),
          gir1.2-clutter-gst-1.0,
@@ -56,7 +56,8 @@
 
 Package: gnome-sushi-common
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: common files for sushi.
  Sushi is a GtkClutter and Javascript-based quick previewer
  for Nautilus, the GNOME desktop file manager.
@@ -68,7 +69,8 @@
 
 Package: libsushi-1.0-0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: shared libs provided by sushi
  Sushi is a GtkClutter and Javascript-based quick previewer
  for Nautilus, the GNOME desktop file manager.
@@ -80,7 +82,10 @@
 
 Package: gir1.2-sushi-1.0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
+Section: introspection
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${gir:Depends}
 Description: sushi's typelib files
  Sushi is a GtkClutter and Javascript-based quick previewer
  for Nautilus, the GNOME desktop file manager.
@@ -93,7 +98,8 @@
 Package: libsushi-1.0-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
          libsushi-1.0-0 (= ${binary:Version}),
          gir1.2-sushi-1.0 (= ${binary:Version})
 Description: development files for sushi
@@ -108,7 +114,8 @@
 Package: libsushi-1.0-0-dbg
 Architecture: any
 Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
          libsushi-1.0-0 (= ${binary:Version})
 Description: debugging symbols for libsushi0
  Sushi is a GtkClutter and Javascript-based quick previewer

## gnome-sushi 0.3.91

=== debian/changelog ===
gnome-sushi (0.3.91-1) experimental; urgency=low

  * New upstream development release.
  * Tighten dependency between gnome-sushi and gir1.2-sushi-1.0.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Mar 2012 08:22:10 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
          ${misc:Depends},
          gnome-sushi-common (= ${source:Version}),
          libsushi-1.0-0 (= ${binary:Version}),
-         gir1.2-sushi-1.0,
+         gir1.2-sushi-1.0 (= ${binary:Version}),
          nautilus (>= 3.2),
          gir1.2-clutter-gst-1.0,
          gir1.2-gtkclutter-1.0

## gnome-sushi 0.3.92

=== debian/changelog ===
gnome-sushi (0.3.92-1) experimental; urgency=low

  * New upstream development release.
  * debian/copyright: Update Format to the latest copyright-format 1.0 spec.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Mar 2012 02:12:04 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                libmusicbrainz3-dev,
                libneon27-gnutls-dev,
                libwebkitgtk-3.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-sushi
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
 Homepage: http://git.gnome.org/browse/sushi

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,4 @@
 DEB_DH_MAKESHLIBS_ARGS_libsushi-1.0-0 += -V -- -c4
 
 DEB_DH_STRIP_ARGS := --dbg-package=libsushi-1.0-0-dbg
+GNOME_MODULE := sushi

## gnome-sushi 0.4.1

=== debian/changelog ===
gnome-sushi (0.4.1-3) unstable; urgency=low

  * Port to libmusicbrainz5. Closes: #677235
    - Add debian/patches/03-mb5.patch. Patch is based on upstream commit from
      master and adjusted for libmusicbrainz5.
    - Add debian/patches/04-increase-limit.patch. Increase the limit when
      making the MB query.
    - Replaces Build-Depends on libmusicbrainz3-dev with libmusicbrainz5-dev.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Jun 2012 21:49:58 +0200

gnome-sushi (0.4.1-2) unstable; urgency=low

  * Drop debian/patches/03-revert-main-window-use-a-ClutterBoxLayout.patch now
    that we have a recent enough Clutter version in unstable.
  * Bump Build-Depends on libclutter-1.0-dev to (>= 1.10.0).

 -- Michael Biebl <biebl@debian.org>  Wed, 16 May 2012 18:16:36 +0200

gnome-sushi (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump minimum required version of gtk+ to 3.4.0 for the CSS related
    changes. Closes: #668385

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Apr 2012 22:48:55 +0200

gnome-sushi (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Don't install the private libsushi library and its introspection files
    system wide as they are not supposed to be used outside of sushi.
  * Drop all binary packages besides gnome-sushi.
  * Add the necessary Breaks/Replaces for proper upgrades.
  * Use dh-autoreconf to update the build system.
  * Revert clutter-related upstream commit which doesn't work with the current
    version of clutter in unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Apr 2012 06:09:40 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-sushi
Section: gnome
Priority: extra
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               autotools-dev,
               cdbs (>= 0.4.90~),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 0.9.6),
               intltool,
               libclutter-1.0-dev (>= 1.10.0),
               libclutter-gst-dev,
               libclutter-gtk-1.0-dev (>= 1.0.1),
               libdiscid0-dev,
               libevince-dev,
               libgjs-dev (>= 0.7.7),
               libglib2.0-dev (>= 2.29.14),
               libgstreamer0.10-dev,
               libgtk-3-dev (>= 3.4.0),
               libgtksourceview-3.0-dev,
               libmusicbrainz5-dev,
               libneon27-gnutls-dev,
               libwebkitgtk-3.0-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-sushi
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
Homepage: http://git.gnome.org/browse/sushi

Package: gnome-sushi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         nautilus (>= 3.2),
         gir1.2-clutter-gst-1.0,
         gir1.2-gtkclutter-1.0
Breaks: gnome-sushi-common (<< 0.4.0-1)
Replaces: gnome-sushi-common (<< 0.4.0-1)
Description: sushi is a quick previewer for nautilus
 Sushi is a GtkClutter and Javascript-based quick previewer
 for Nautilus, the GNOME desktop file manager.
 Sushi is a DBus-activated service. It is capable of previewing
 documents, PDFs, sound and video files (using Gstreamer),
 some text files, and possibly others in the future.
 .
 To activate the preview, left-click the file and hit space.
 The preview can be closed by hitting space again, or escape.

## gnome-sushi 0.5.1

=== debian/changelog ===
gnome-sushi (0.5.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/control.in:
    - Build-depend on libmusicbrainz4-dev
  * Dropped all patches except 02-no-gettext.patch as they are in the
    new upstream version
  * debian/watch: Watch for unstable releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 May 2012 23:01:05 -0400

gnome-sushi (0.4.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Fix a crash when fetching album cover art (LP: #927555)
    - Move the window to the current desktop workspace when shown
      (LP: #897559)
    - Avoid maximization and window snapping
    - Plug some memory leaks
  * debian/control.in: Bump minimum clutter to 1.10
  * debian/90-make-fullscreen-button-placement-consistent.patch:
    - Git patch to move evince-viewer's fullscreen button to the right
      like other viewers (LP: #896987) 
  * debian/91-add-client-decorations-preference.patch:
    - Git patch to add gsettings option to use native window
      management buttons
  * debian/gnome-sushi.gsettings-override:
    - Use native window management buttons by default (LP: #876805,
      LP: #880262)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 21 Apr 2012 23:48:30 -0400

gnome-sushi (0.4.0-1ubuntu1) precise; urgency=low

  * 03-revert-main-window-use-a-ClutterBoxLayout.patch:
    - Dropped, Ubuntu 12.04 has the new clutter

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 Apr 2012 09:44:11 -0400

## gnome-sushi 0.5.2

=== debian/changelog ===
gnome-sushi (0.5.2-0ubuntu2) quantal-proposed; urgency=low

  * Rebuild against latest libevince-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Jun 2012 23:06:56 -0400

gnome-sushi (0.5.2-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 04 Jun 2012 13:56:37 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: gnome-sushi
 Section: gnome
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                autotools-dev,
                cdbs (>= 0.4.90~),
@@ -23,9 +24,9 @@
                libgjs-dev (>= 0.7.7),
                libglib2.0-dev (>= 2.29.14),
                libgstreamer0.10-dev,
-               libgtk-3-dev (>= 3.4.0),
+               libgtk-3-dev (>= 3.2.0),
                libgtksourceview-3.0-dev,
-               libmusicbrainz5-dev,
+               libmusicbrainz4-dev,
                libneon27-gnutls-dev,
                libwebkitgtk-3.0-dev
 Standards-Version: 3.9.3

## gnome-sushi 3.5.91

=== debian/changelog ===
gnome-sushi (3.5.91-0ubuntu2) quantal; urgency=low

  * debian/control.in:
    - Depend on gstreamer1.0-plugins-good (LP: #1048356)
    - Suggest gstreamer1.0-libav

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Sep 2012 19:26:09 -0400

gnome-sushi (3.5.91-0ubuntu1) quantal; urgency=low

  [ Robert Ancell ]
  * debian/control.in:
    - Build-depend on libclutter-gst-2.0-dev
    - Build-depend on libgstreamer1.0-dev

  [ Jeremy Bicha ]
  * New upstream release (LP: #1039704).
    - Even though the version numbering format changed, this is
      just another minor GNOME 3.6 development snapshot
  * debian/control.in:
    - Build-depend on libmusicbrainz5-dev instead of libmusicbrainz4-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 08 Sep 2012 23:35:14 -0400

gnome-sushi (0.5.4-0ubuntu2) quantal; urgency=low

  * Build against libmusicbrainz5.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 14 Aug 2012 09:34:39 +0300

gnome-sushi (0.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libclutter-1.0-dev
    - Add build-depends on libfreetype6-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Jul 2012 10:39:33 +1200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-sushi
 Section: gnome
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                autotools-dev,
                cdbs (>= 0.4.90~),
@@ -16,17 +15,18 @@
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.6),
                intltool,
-               libclutter-1.0-dev (>= 1.10.0),
-               libclutter-gst-dev,
+               libclutter-1.0-dev (>= 1.11.4),
+               libclutter-gst-2.0-dev,
                libclutter-gtk-1.0-dev (>= 1.0.1),
                libdiscid0-dev,
                libevince-dev,
+               libfreetype6-dev,
                libgjs-dev (>= 0.7.7),
                libglib2.0-dev (>= 2.29.14),
-               libgstreamer0.10-dev,
+               libgstreamer1.0-dev,
                libgtk-3-dev (>= 3.2.0),
                libgtksourceview-3.0-dev,
-               libmusicbrainz4-dev,
+               libmusicbrainz5-dev,
                libneon27-gnutls-dev,
                libwebkitgtk-3.0-dev
 Standards-Version: 3.9.3
@@ -40,8 +40,10 @@
          ${misc:Depends},
          ${gir:Depends},
          nautilus (>= 3.2),
-         gir1.2-clutter-gst-1.0,
-         gir1.2-gtkclutter-1.0
+         gir1.2-clutter-gst-2.0,
+         gir1.2-gtkclutter-1.0,
+         gstreamer1.0-plugins-good
+Suggests: gstreamer1.0-libav
 Breaks: gnome-sushi-common (<< 0.4.0-1)
 Replaces: gnome-sushi-common (<< 0.4.0-1)
 Description: sushi is a quick previewer for nautilus

## gnome-sushi 3.5.92

=== debian/changelog ===
gnome-sushi (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Sep 2012 23:49:13 -0400

gnome-sushi (3.5.91-0ubuntu3) quantal; urgency=low

  * debian/gnome-sushi.gsettings-override:
    - Dropped, override moved to ubuntu-default-settings

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Sep 2012 23:41:18 -0400

## gnome-sushi 3.6.0

=== debian/changelog ===
gnome-sushi (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream version (LP: #1055853)

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Mon, 24 Sep 2012 16:56:03 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0),
                autotools-dev,
                cdbs (>= 0.4.90~),

=== debian/watch ===
version=3
ftp://ftp.gnome.org/pub/GNOME/sources/sushi/([\d\.]+)/sushi-(.*)\.tar\.xz

## gnome-sushi 3.6.1

=== debian/changelog ===
gnome-sushi (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Nov 2012 16:46:43 +1300

gnome-sushi (3.6.0-1) experimental; urgency=low

  * Team upload
  * New upstream version (LP: #1055853, LP: #1039704)
    - bump build-dependencies
    - drop all patches except 02-no-gettext.patch: merged upstream in 0.5.1
  * Packaging based on Ubuntu's; thanks to Jeremy Bicha, Robert Ancell,
    Matthew Fischer

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Oct 2012 16:19:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-sushi
 Section: gnome
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                autotools-dev,
                cdbs (>= 0.4.90~),
@@ -24,7 +23,7 @@
                libgjs-dev (>= 0.7.7),
                libglib2.0-dev (>= 2.29.14),
                libgstreamer1.0-dev,
-               libgtk-3-dev (>= 3.2.0),
+               libgtk-3-dev (>= 3.4.0),
                libgtksourceview-3.0-dev,
                libmusicbrainz5-dev,
                libneon27-gnutls-dev,

## gnome-sushi 3.8.0

=== debian/changelog ===
gnome-sushi (3.8.0-1build1) saucy; urgency=low

  * No-change rebuild against latest gtksourceview3 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 May 2013 13:56:24 -0400

gnome-sushi (3.8.0-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release (v3.7.5)

  [ Jean Schurger ]
  * New upstream release (v3.7.91)
  * Bumped Standards-Version to 3.9.4.
  * Updated Vcs-Svn.
  * New upstream release (v3.8.0)

 -- Jean Schurger <jeansch@schurger.org>  Wed, 27 Mar 2013 13:14:45 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: extra
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                autotools-dev,
                cdbs (>= 0.4.90~),
@@ -20,7 +20,7 @@
                libdiscid0-dev,
                libevince-dev,
                libfreetype6-dev,
-               libgjs-dev (>= 0.7.7),
+               libgjs-dev (>= 1.34.0),
                libglib2.0-dev (>= 2.29.14),
                libgstreamer1.0-dev,
                libgtk-3-dev (>= 3.4.0),
@@ -28,8 +28,8 @@
                libmusicbrainz5-dev,
                libneon27-gnutls-dev,
                libwebkitgtk-3.0-dev
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-sushi
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sushi
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
 Homepage: http://git.gnome.org/browse/sushi

## gnome-sushi 3.8.1

=== debian/changelog ===
gnome-sushi (3.8.1-1) unstable; urgency=low

  * New upstream release.
  * Remove Brandon Snider from Uploaders since he hasn't been active for a
    long time. Thanks Brandon for the initial packaging!
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Aug 2013 00:22:35 +0200

gnome-sushi (0.4.1-5) unstable; urgency=low

  [ Andreas Henriksson ]
  * Add debian/patches/correctly-include-gtksourceview.patch
    - from upstream git, fixes building with gtksourceview 3.8
  * Add debian/patches/drop-obsolete-gjs-dbus-1.0.patch
    - part of upstream commit, fixes build with gjs 1.36

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Aug 2013 17:10:32 +0200

gnome-sushi (0.4.1-4) unstable; urgency=low

  * Team upload.
  * Add debian/patches/05-deprecated.patch: do not define
    G_DISABLE_DEPRECATED, which is incompatible with GStreamer 0.10.
    (Closes: #707394)

 -- Simon McVittie <smcv@debian.org>  Thu, 09 May 2013 09:43:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gnome-sushi
 Section: gnome
 Priority: extra
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Brandon Snider <brandonjsnider@gmail.com>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                autotools-dev,
                cdbs (>= 0.4.90~),

## gnome-sushi 3.11.90

=== debian/changelog ===
gnome-sushi (3.11.90-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Fix compatibility with js24 (LP: #1283689)
    - Minor Bug fixes
  * debian/patches: drop git patches included in new release

 -- Tim Lunn <tim@feathertop.org>  Mon, 24 Feb 2014 07:59:16 +1100

gnome-sushi (3.10.0-1ubuntu2) trusty; urgency=medium

  * No change rebuild for gjs update 

 -- Tim Lunn <tim@feathertop.org>  Tue, 18 Feb 2014 10:32:05 +1100

gnome-sushi (3.10.0-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/git_remove_e4x_*.patch:
      + Remove usage of E4X in preparation for spidermonkey 24.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 16 Feb 2014 23:35:41 +0100

gnome-sushi (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/02-no-gettext.patch: Applied upstream
  * debian/control.in:
    - Add dependency against gir1.2-webkit-3.0 (Closes: #737718)
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Fix capitalisation of GStreamer

 -- Laurent Bigonville <bigon@debian.org>  Sun, 16 Feb 2014 14:06:24 +0100

gnome-sushi (3.10.0-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * debian/patches:
    - 02-no-gettext.patch: dropped, included in new version
    - git_remove_e4x_*.patch: Remove usage of E4X in preparation for 
      spidermonkey 24

 -- Tim Lunn <tim@feathertop.org>  Sun, 09 Feb 2014 14:15:31 +1100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-sushi
 Section: gnome
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                autotools-dev,
                cdbs (>= 0.4.90~),
@@ -29,7 +29,7 @@
                libmusicbrainz5-dev,
                libneon27-gnutls-dev,
                libwebkitgtk-3.0-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sushi
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
 Homepage: http://git.gnome.org/browse/sushi
@@ -42,6 +42,7 @@
          nautilus (>= 3.2),
          gir1.2-clutter-gst-2.0,
          gir1.2-gtkclutter-1.0,
+         gir1.2-webkit-3.0,
          gstreamer1.0-plugins-good
 Suggests: gstreamer1.0-libav
 Breaks: gnome-sushi-common (<< 0.4.0-1)
@@ -50,7 +51,7 @@
  Sushi is a GtkClutter and Javascript-based quick previewer
  for Nautilus, the GNOME desktop file manager.
  Sushi is a DBus-activated service. It is capable of previewing
- documents, PDFs, sound and video files (using Gstreamer),
+ documents, PDFs, sound and video files (using GStreamer),
  some text files, and possibly others in the future.
  .
  To activate the preview, left-click the file and hit space.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# List any files which are not installed
common-binary-post-install-arch:: list-missing

GNOME_MODULE := sushi

DEB_DH_MAKESHLIBS_ARGS += -X/usr/lib/sushi
DEB_DH_GIREPOSITORY_ARGS_ALL += -ldebian/gnome-sushi/usr/share/sushi/gir-1.0 /usr/lib/sushi/ /usr/lib/sushi/girepository-1.0/

binary-install/gnome-sushi::
	find debian/$(cdbs_curpkg) -name '*.la' -delete

## gnome-sushi 3.12.0

=== debian/changelog ===
gnome-sushi (3.12.0-2) unstable; urgency=medium

  * Build-depend on libdiscid-dev instead of libdiscid0-dev (Closes: #753633)
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 13:16:55 +0200

gnome-sushi (3.12.0-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Pass --as-needed to dh_autoreconf and the needed flags to
    the linker to minimize the runtime dependencies

  [ Josselin Mouette ]
  * New upstream release.
  * Artifically bump gjs build-dependency to ensure it is built against 
    the experimental version, making it co-installable with gnome-shell.
  * Add missing build-dependencies.

 -- Josselin Mouette <joss@debian.org>  Sat, 26 Apr 2014 23:53:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gnome-sushi
 Section: gnome
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                autotools-dev,
                cdbs (>= 0.4.90~),
@@ -18,12 +18,13 @@
                libclutter-1.0-dev (>= 1.11.4),
                libclutter-gst-2.0-dev,
                libclutter-gtk-1.0-dev (>= 1.0.1),
-               libdiscid0-dev,
+               libdiscid-dev,
                libevince-dev,
                libfreetype6-dev,
-               libgjs-dev (>= 1.34.0),
+               libgjs-dev (>= 1.40),
                libglib2.0-dev (>= 2.29.14),
                libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.4.0),
                libgtksourceview-3.0-dev,
                libmusicbrainz5-dev,

## gnome-sushi 3.16.0

=== debian/changelog ===
gnome-sushi (3.16.0-1build1) wily; urgency=medium

  * No-change rebuild against libmusicbrainz5-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Aug 2015 18:40:30 +0000

gnome-sushi (3.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends for the switch to WebKit2 and switch Depends on
    gir1.2-webkit-3.0 to gir1.2-webkit2-4.0.
  * Bump Build-Depends on libgtk-3-dev to (>= 3.13.2) as per configure.ac.
  * Bump Standards-Version to 3.9.6.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Sun, 31 May 2015 15:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-sushi
 Section: gnome
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 9),
                autotools-dev,
                cdbs (>= 0.4.90~),
                dh-autoreconf,
@@ -25,12 +25,12 @@
                libglib2.0-dev (>= 2.29.14),
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libgtk-3-dev (>= 3.4.0),
+               libgtk-3-dev (>= 3.13.2),
                libgtksourceview-3.0-dev,
                libmusicbrainz5-dev,
                libneon27-gnutls-dev,
-               libwebkitgtk-3.0-dev
-Standards-Version: 3.9.5
+               libwebkit2gtk-4.0-dev
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sushi
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
 Homepage: http://git.gnome.org/browse/sushi
@@ -43,7 +43,7 @@
          nautilus (>= 3.2),
          gir1.2-clutter-gst-2.0,
          gir1.2-gtkclutter-1.0,
-         gir1.2-webkit-3.0,
+         gir1.2-webkit2-4.0,
          gstreamer1.0-plugins-good
 Suggests: gstreamer1.0-libav
 Breaks: gnome-sushi-common (<< 0.4.0-1)

## gnome-sushi 3.18.0

=== debian/changelog ===
gnome-sushi (3.18.0-2) unstable; urgency=medium

  * Switch to clutter-gst 3.0. Patch is cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Dec 2015 16:33:36 +0100

gnome-sushi (3.18.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 27 Sep 2015 13:40:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-sushi
 Section: gnome
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
@@ -16,7 +15,7 @@
                gobject-introspection (>= 0.9.6),
                intltool,
                libclutter-1.0-dev (>= 1.11.4),
-               libclutter-gst-2.0-dev,
+               libclutter-gst-3.0-dev,
                libclutter-gtk-1.0-dev (>= 1.0.1),
                libdiscid-dev,
                libevince-dev,
@@ -32,7 +31,7 @@
                libwebkit2gtk-4.0-dev
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sushi
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
 Homepage: http://git.gnome.org/browse/sushi
 
 Package: gnome-sushi
@@ -41,7 +40,7 @@
          ${misc:Depends},
          ${gir:Depends},
          nautilus (>= 3.2),
-         gir1.2-clutter-gst-2.0,
+         gir1.2-clutter-gst-3.0,
          gir1.2-gtkclutter-1.0,
          gir1.2-webkit2-4.0,
          gstreamer1.0-plugins-good

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 # List any files which are not installed
 common-binary-post-install-arch:: list-missing
 
+DEB_DH_AUTORECONF_ARGS = --as-needed
+DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+include /usr/share/dpkg/buildflags.mk
+
 GNOME_MODULE := sushi
 
 DEB_DH_MAKESHLIBS_ARGS += -X/usr/lib/sushi

=== debian/watch ===
version=3
ftp://ftp.gnome.org/pub/GNOME/sources/sushi/([\d\.]+[02468])/sushi-(.*)\.tar\.xz

## gnome-sushi 3.19.90

=== debian/changelog ===
gnome-sushi (3.19.90-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-viewer-gst-port-to-ClutterGst-3.0.patch, now included.
  * Bump Standards-Version to 3.9.7
  * Add debian/patches/harfbuzz.patch
    - fixes underlinking problem introduced in commit f81f6d6d19610
      (cf. gnome-font-viewer commit 1dcbdd55a55fc)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Mar 2016 22:30:27 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libmusicbrainz5-dev,
                libneon27-gnutls-dev,
                libwebkit2gtk-4.0-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sushi
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
 Homepage: http://git.gnome.org/browse/sushi

## gnome-sushi 3.20.0

=== debian/changelog ===
gnome-sushi (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/harfbuzz.patch, merged upstream.
  * Drop obsolete Breaks/Replaces gnome-sushi-common.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 May 2016 22:59:49 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libmusicbrainz5-dev,
                libneon27-gnutls-dev,
                libwebkit2gtk-4.0-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sushi
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sushi/
 Homepage: http://git.gnome.org/browse/sushi
@@ -45,8 +45,6 @@
          gir1.2-webkit2-4.0,
          gstreamer1.0-plugins-good
 Suggests: gstreamer1.0-libav
-Breaks: gnome-sushi-common (<< 0.4.0-1)
-Replaces: gnome-sushi-common (<< 0.4.0-1)
 Description: sushi is a quick previewer for nautilus
  Sushi is a GtkClutter and Javascript-based quick previewer
  for Nautilus, the GNOME desktop file manager.

## gnome-sushi 3.21.91

=== debian/changelog ===
gnome-sushi (3.21.91-2) unstable; urgency=medium

  * Ensure required gir packages are added to Depends. (Closes: #842319)
  * Update paths which are passed to dh_makeshlibs and dh_girepository for
    multiarch.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Oct 2016 03:51:02 +0200

gnome-sushi (3.21.91-1) unstable; urgency=low

  * New upstream release.
  * Convert from cdbs to dh.
  * Add AUTHORS to debian/docs

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 31 Aug 2016 18:34:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,7 @@
 Priority: extra
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               cdbs (>= 0.4.90~),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.6),
                intltool,
@@ -42,6 +39,9 @@
          nautilus (>= 3.2),
          gir1.2-clutter-gst-3.0,
          gir1.2-gtkclutter-1.0,
+         gir1.2-glib-2.0,
+         gir1.2-gstreamer-1.0,
+         gir1.2-pango-1.0,
          gir1.2-webkit2-4.0,
          gstreamer1.0-plugins-good
 Suggests: gstreamer1.0-libav

=== debian/rules ===
#!/usr/bin/make -f

GNOME_MODULE := sushi

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/sushi

override_dh_girepository:
	dh_girepository -ldebian/gnome-sushi/usr/share/sushi/gir-1.0 \
		/usr/lib/$(DEB_HOST_MULTIARCH)/sushi/ \
		/usr/lib/$(DEB_HOST_MULTIARCH)/sushi/girepository-1.0/

override_dh_install:
	find debian -name '*.la' -delete
	dh_install --list-missing

## gnome-sushi 3.23.91

=== debian/changelog ===
gnome-sushi (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream relase

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2017 22:43:14 -0500

gnome-sushi (3.21.91-2build1) zesty; urgency=medium

  * No-change rebuild against latest gjs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 08:55:30 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-sushi
 Section: gnome
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.6),
